Changing App into "Extended Mode" 
Author Message
 Changing App into "Extended Mode"

Hi All

Trying to compile my App with the "Blinker Executable Extended"
Compiles but the moment I run app I get a "General protection fault"
I have narrowed it down with Bligpf.exe to a symbol name"$$$ovlini"

Search through all my code but find no reverence to this . What now?

Clipper 5.01
Blinker 5.1

Any Help Appreciated

Gunter



Fri, 29 Jul 2005 21:52:31 GMT  
 Changing App into "Extended Mode"
Gunter

Show us your link script

Make sure ALL your libraries are extended mode compatable.

--
HTH
Steve Quinn



Sat, 30 Jul 2005 07:49:10 GMT  
 Changing App into "Extended Mode"
Hi Steve
Thanks for your help.
Here is my Link File:

# Link Script for RDHOTEL1.EXE

Map=t:\res\rdhotel1 S ,A ,X

Blinker Executable Extended
Blinker Incremental Off
Blinker Executable Clipper //F:255
Blinker Environment Override
Stack 8000

Output  RDHOTEL1

   File RDHOTEL1

BeginArea

   File rdhotl1
   File Editr
   File 6Arrive
   File RDUtils
   File Roomav
   File N_Audit
   File departg2
   File NewFunc1
   File 3REM
   File ResPos
   File 55REM
   File ncires7
   File sel_pack
   File phone
   File day_rev
   File roomstat
   File fix_rms
   File fix_6pm
   File ToInh_pr
   File fdut
   File GACC_TRR
   File Acc_hd1
   File DBS_PROG
   File proc_cm1
   File screens
   File procs
   File tboss
   File gaccrep
   File DBEnquir
   File gaccfm2
   File EditRes
   File Edt_Rmt
   File NewN_Res
   File Gr_Book
   File GroupAcc
   File Depart_G
   File Rm_Maint
   File Ch_Rates
   File Inhtax
   File Res_int
   File Fbrowse
   File ResUtil

   File Rdhkeep
   File House
   File HK_Reps

   File PopCalc
   File shadowb
   File moving
   File colorset
   File colorpal
   File boxtitle
   File saveenv
   File ginkey
   File colors
   File yesno2
   File blank4
   File rand
   File FOMN

 # Common Code

   File RDS_Comm  # General common code throughout RDS programs
   File UProg1
   File AlignSta
   File Reports   # Common report functions
   File Network   # Network and file routines
   File Dan_comm  # common code
   File Dan_Rep   # report routines
   File Backups   # backups during night audit / day end
   File Agt_Comm  # Agents common code
   File CRO_Comm  # Central res Common code
   File Grp_Inv   # Tax Invoice for Groups on Company accounts
   File Agt_Reps  # Agent reports
   File cmp_comm
   File Inv_Run   #Tax Invoice for individual Guest on Company accounts

EndArea

    # Must take out of release version
#   File CLD.LIB                  # De{*filter*} lib. makes life easier

   File GFDRive                   # Grumpfish obj file included for updated
errorsys.prg
   File \comm_prg\fish\grumpatt
   File ErrorSys                  # Updated errorsys that logs faults to
file / printer
   File CTUSP
   #File CTUS                     # Clipper Tools Object File
   File __Wait_B                  # included to make prg work with the
faster machines

   Search \comm_prg\libs\sup3552  # SuperLib Lib for SNet_Use
   Search \comm_prg\libs\locks5   # networking and file function library
   Search \comm_prg\libs\glib     # General RDS library
   Search \comm_prg\libs\rvslib   # General RDS library
   Search CTp                     # Clipper Tools library

   Search \comm_prg\libs\blxclp50


I have checked but I think all my Libs are extended mode compatable

Thanks for your help

Gunter

Quote:
----- Original Message -----

Newsgroups: comp.lang.clipper
Sent: Tuesday, February 11, 2003 1:49 AM
Subject: Re: Changing App into "Extended Mode"

> Gunter

> Show us your link script

> Make sure ALL your libraries are extended mode compatable.

> --
> HTH
> Steve Quinn

--
----------------------------------------------------------------------------
---------
DISCLAIMER: The information in this message is confidential and may be
legally privileged. It is intended solely for the addressee. Access to this
message by anyone else is unauthorized. If you are not the intended
recipient, any disclosure, copying, or distribution of the message, or any
action or omission taken by you in reliance on it, is prohibited and may be
unlawful. Please immediately contact the sender if you have received this
message in error. Thank you


> Gunter

> Show us your link script

> Make sure ALL your libraries are extended mode compatable.

> --
> HTH
> Steve Quinn



Sat, 30 Jul 2005 19:46:30 GMT  
 Changing App into "Extended Mode"

Originally posted by Gunter Dubber

Quote:
> Hi All

> Trying to compile my App with the "Blinker Executable Extended"
> Compiles but the moment I run app I get a "General protection fault"
> I have narrowed it down with Bligpf.exe to a symbol name"$$$ovlini"

> Search through all my code but find no reverence to this . What now?

> Clipper 5.01
> Blinker 5.1

> Any Help Appreciated

> Gunter

Did You told Blinker it's Clipper 5.01 and not 5.2?

Tibor Antal
Budapest
Hungary

--
Posted via http://dbforums.com



Sat, 30 Jul 2005 18:17:30 GMT  
 Changing App into "Extended Mode"
Hi Tibor

How would I tell Blinker that I am using Clipper 5.01?
I Don't know how to.

Chees

Gunter

On Tue, 11 Feb 2003 10:17:30 +0000, INComplete

Quote:

>Originally posted by Gunter Dubber
>> Hi All

>> Trying to compile my App with the "Blinker Executable Extended"
>> Compiles but the moment I run app I get a "General protection fault"
>> I have narrowed it down with Bligpf.exe to a symbol name"$$$ovlini"

>> Search through all my code but find no reverence to this . What now?

>> Clipper 5.01
>> Blinker 5.1

>> Any Help Appreciated

>> Gunter

>Did You told Blinker it's Clipper 5.01 and not 5.2?

>Tibor Antal
>Budapest
>Hungary

>--
>Posted via http://dbforums.com



Sun, 31 Jul 2005 01:26:53 GMT  
 Changing App into "Extended Mode"
Gunter

You haven't said which version of Blinker, if it's earlier than V4 then you'll need
    LIB BLXRATEX
in your script

Add the following to your link script
---------------------------------------------
BLINKER OVERLAY PAGEFRAME ON
File CTINTP.OBJ

This should be before other libraries (RTM)
------------------------------------------------
Search \comm_prg\libs\blxclp50

This should be placed earlier in the script
    - before the libraries
------------------------------------------------------
   File __Wait_B

Change/Add this
---------------------
Blinker Executable Clipper //F:255 //E:1024

Change Search to LIB on these
-------------------------------------------

Quote:
>    Search \comm_prg\libs\sup3552  # SuperLib Lib for SNet_Use
>    Search \comm_prg\libs\locks5   # networking and file function library
>    Search \comm_prg\libs\glib     # General RDS library
>    Search \comm_prg\libs\rvslib   # General RDS library
>    Search CTp                     # Clipper Tools library

--
HTH
Steve Quinn


Sun, 31 Jul 2005 06:42:07 GMT  
 Changing App into "Extended Mode"
Hi Stephen

I am using Clipper 5.01 with Blinker 5.10

I have implemented all suggestions below and now my app starts up.
Just getting weird errors where there were none before????
(Function from CA-Tools "getsecret()" array assign )

Gunter


Quote:
> Gunter

> You haven't said which version of Blinker, if it's earlier than V4 then
you'll need
>     LIB BLXRATEX
> in your script

> Add the following to your link script
> ---------------------------------------------
> BLINKER OVERLAY PAGEFRAME ON
> File CTINTP.OBJ

> This should be before other libraries (RTM)
> ------------------------------------------------
> Search \comm_prg\libs\blxclp50

> This should be placed earlier in the script
>     - before the libraries
> ------------------------------------------------------
>    File __Wait_B

> Change/Add this
> ---------------------
> Blinker Executable Clipper //F:255 //E:1024

> Change Search to LIB on these
> -------------------------------------------
> >    Search \comm_prg\libs\sup3552  # SuperLib Lib for SNet_Use
> >    Search \comm_prg\libs\locks5   # networking and file function library
> >    Search \comm_prg\libs\glib     # General RDS library
> >    Search \comm_prg\libs\rvslib   # General RDS library
> >    Search CTp                     # Clipper Tools library

> --
> HTH
> Steve Quinn



Sun, 31 Jul 2005 21:37:38 GMT  
 Changing App into "Extended Mode"
Gunter

Have you read the manual re:Summer 87 compatability??
    - Book 1 Intro-2

Have you patched to Clipper V5.01a or are you using 5.01??

Update is on the OASIS
    or here ftp://mf.cai.com/CAproducts/clipper

--
HTH
Steve Quinn



Sun, 31 Jul 2005 23:52:16 GMT  
 Changing App into "Extended Mode"
No

No I have not read the Manual

How would I know if I am using Clipper 5.01 or clipper 5.01a?

Ps: the problem that I have mentioned previously comes with the
ALERT() function being used by my "Errorsys.prg - Errorsys.obj"
This is an updated one that does error capuring and logs it into a
file.

Note: I sound green because I am.

Thanks for all your help. It is REALY helping me.

Cheers

Gunter

On Thu, 13 Feb 2003 02:52:16 +1100, "Stephen Quinn"

Quote:

>Gunter

>Have you read the manual re:Summer 87 compatability??
>    - Book 1 Intro-2

>Have you patched to Clipper V5.01a or are you using 5.01??

>Update is on the OASIS
>    or here ftp://mf.cai.com/CAproducts/clipper

>--
>HTH
>Steve Quinn



Mon, 01 Aug 2005 01:26:59 GMT  
 Changing App into "Extended Mode"
Gunter

Quote:
> How would I know if I am using Clipper 5.01 or clipper 5.01a?

In a DOS window type
    Clipper
and you should see the version number in the first couple of lines, if it scrolls off the page try
    Clipper x
to get an error message (if x.prg doesn't exist) where you should be able to read the version.

Applying the 5.01a patch may not have updated the version ID in the exe though (haven't had it on my
system for years and I have a poor memory<g>)

Doesn't hurt to try the patch anyway - it'll fail if everythings upto date.

I'd zip the whole Clipper directory up before trying it though.

--
HTH
Steve Quinn



Mon, 01 Aug 2005 02:13:50 GMT  
 Changing App into "Extended Mode"
Hi Stephen

Applied the patch - now running Clipper 5.01a
Problem still alive & kicking.

By running "Extended Mode" am I running "Protected or Dual"??
The only thing I can think is that it might be my CA Tools Lib.

I updated mine to 3c but because I am using Clipper 5.01a CA-Tools
only reveres to Clipper 5.2 / 5.3. Now I am confused. Witch Lib. should
I be using ? 5.2 or 5.3 Protected or Dual??

Thanks so far for all your help.

PS are you in Australia?????

Gunter

--
----------------------------------------------------------------------------
---------
DISCLAIMER: The information in this message is confidential and may be
legally privileged. It is intended solely for the addressee. Access to this
message by anyone else is unauthorized. If you are not the intended
recipient, any disclosure, copying, or distribution of the message, or any
action or omission taken by you in reliance on it, is prohibited and may be
unlawful. Please immediately contact the sender if you have received this
message in error. Thank you

Quote:
> Gunter

> > How would I know if I am using Clipper 5.01 or clipper 5.01a?
> In a DOS window type
>     Clipper
> and you should see the version number in the first couple of lines, if it

scrolls off the page try
Quote:
>     Clipper x
> to get an error message (if x.prg doesn't exist) where you should be able

to read the version.
Quote:

> Applying the 5.01a patch may not have updated the version ID in the exe

though (haven't had it on my
Quote:
> system for years and I have a poor memory<g>)

> Doesn't hurt to try the patch anyway - it'll fail if everythings upto
date.

> I'd zip the whole Clipper directory up before trying it though.

> --
> HTH
> Steve Quinn



Mon, 01 Aug 2005 13:10:24 GMT  
 Changing App into "Extended Mode"
Gunter

Quote:
> By running "Extended Mode" am I running "Protected or Dual"??

Protected

Quote:
> I updated mine to 3c but because I am using Clipper 5.01a CA-Tools
> only reveres to Clipper 5.2 / 5.3. Now I am confused. Witch Lib. should
> I be using ? 5.2 or 5.3 Protected or Dual??

I just read the patch docs and there's no mention of 5.01 in them
    - maybe it doesn't work with that release.

Are you using CT.CH in your .prgs??

--
HTH
Steve Quinn



Mon, 01 Aug 2005 17:10:07 GMT  
 Changing App into "Extended Mode"

Originally posted by Gunter Dubber

Quote:
> No

> No I have not read the Manual

> How would I know if I am using Clipper 5.01 or clipper 5.01a?

Sorry I was out of office, so you can decide it by checking the
date/time combination of the (fe.) clipper.exe.

But, you can download the patch (I think the patch is free), and install
it. If the date/time stamp changed, it means that it was 5.01.

Tibor Antal
Budapest
Hungary

--
Posted via http://dbforums.com



Tue, 02 Aug 2005 00:21:43 GMT  
 Changing App into "Extended Mode"
Hi Stephen

Were would I use the "CT.CH" ?

Gunter

On Thu, 13 Feb 2003 20:10:07 +1100, "Stephen Quinn"

Quote:

>Gunter

>> By running "Extended Mode" am I running "Protected or Dual"??
>Protected

>> I updated mine to 3c but because I am using Clipper 5.01a CA-Tools
>> only reveres to Clipper 5.2 / 5.3. Now I am confused. Witch Lib. should
>> I be using ? 5.2 or 5.3 Protected or Dual??
>I just read the patch docs and there's no mention of 5.01 in them
>    - maybe it doesn't work with that release.

>Are you using CT.CH in your .prgs??

>--
>HTH
>Steve Quinn



Tue, 02 Aug 2005 01:48:01 GMT  
 Changing App into "Extended Mode"
Hi All

Solved my problem - corrupted CTP.LIB

Thanks to all and this Great! news group.

Gunter

On Thu, 13 Feb 2003 16:21:43 +0000, INComplete

Quote:

>Originally posted by Gunter Dubber
>> No

>> No I have not read the Manual

>> How would I know if I am using Clipper 5.01 or clipper 5.01a?

>Sorry I was out of office, so you can decide it by checking the
>date/time combination of the (fe.) clipper.exe.

>But, you can download the patch (I think the patch is free), and install
>it. If the date/time stamp changed, it means that it was 5.01.

>Tibor Antal
>Budapest
>Hungary

>--
>Posted via http://dbforums.com



Tue, 02 Aug 2005 04:29:24 GMT  
 
 [ 16 post ]  Go to page: [1] [2]

 Relevant Pages 

1. Test for "Extended Mode Compatability"

2. Windows App run from Extended Mode App

3. string.join(["Tk 4.2p2", "Python 1.4", "Win32", "free"], "for")

4. VAST: "extended" listbox behavior

5. Extended Attributes ".NAME?"

6. Forgetting "extended behaviour"

7. Duncan: "Extending DOS"

8. Avoiding "allocatable dummy arrays" extended feature

9. "extended" tclsh / wish

10. Extended "array set" functionality

11. "signal" in extended tcl

12. extending "unknown" proc

 

 
Powered by phpBB® Forum Software